cURL
curl --request PATCH \
--url https://api.example.com/api/v2/shipments/{shipment_id}/custom_fields/{api_slug}import requests
url = "https://api.example.com/api/v2/shipments/{shipment_id}/custom_fields/{api_slug}"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.example.com/api/v2/shipments/{shipment_id}/custom_fields/{api_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Shipments
Update shipment custom field
Update an existing custom field value on a shipment in the Terminal49 API, identified by the custom field definitionโs api_slug for that shipment record.
PATCH
/
api
/
v2
/
shipments
/
{shipment_id}
/
custom_fields
/
{api_slug}
cURL
Updates a specific custom field on a shipment by its
api_slug.
Path parameters
| Parameter | Required | Description |
|---|---|---|
shipment_id | Yes | The ID of the shipment |
api_slug | Yes | The api_slug of the custom field definition |
Request body
| Parameter | Required | Description |
|---|---|---|
value | Yes | The new value to set |
Authorization
Requiresupdate permission on the shipment.
Response
Returns200 OK with the updated custom field resource on success.Was this page helpful?